Bug 111534 - Bug report window when installing boot loader
Bug report window when installing boot loader
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: lilo (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-04 17:37 EST by Clair Garman
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-04 08:58:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clair Garman 2003-12-04 17:37:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b)
Gecko/20030516 Mozilla Firebird/0.6

Description of problem:
Upgrading from 7.3 to 9.  All packages update.  When installing boot
loader, a bug report window pops up.  I have tried the upgrade twice
and had the same result each time.

I have two drives to use for system disk.  I run off sdb1 and copy it
to sda1.  I boot distribution disk1 and upgrade sda1.  This leaves me
with a good disk sdb1 to use, so I have not wiped out my only system disk.

Following the above failure, sda1 will not boot.

Contents of /etc/lilo.conf prior to upgrade:
boot=/dev/sda
map=/boot/map
install=/boot/boot.b
prompt
timeout=50
message=/boot/message
linear
default=RedHat7.3

image=/boot/vmlinuz-2.4.18-18.7.x
        label=RedHat7.3
        initrd=/boot/initrd-2.4.18-18.7.x.img
        read-only
        root=/dev/sdb1
        append="hda=ide-scsi"

image=/backup/boot/vmlinuz-2.4.18-18.7.x
        label=Backup
        initrd=/backup/boot/initrd-2.4.18-18.7.x.img
        read-only
        root=/dev/sda1
        append="hda=ide-scsi"


nacdump.txt was preserved on floppy and can be sent.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.copy system disk sdb1 to sda1
2.boot distribution CD 1
3.upgrade 7.3 to 9 on sda1
    

Additional info:
Comment 1 Clair Garman 2003-12-06 10:22:09 EST
I have bypassed the problem by:

1. copying the system disk sdb1 to sda1
2. modifying the /etc/lilo.conf on sda1 to eliminate the RedHat7.3 stanza
3. boot distribution CD 1 and indicate no boot loader configuration on
the appropriate query screen

The upgrade was successful, although the boot loader was modified and
the boot block on disk was changed to boot sda1.

Comment 2 Jeremy Katz 2003-12-10 01:52:58 EST
Could you attach the anacdump.txt?
Comment 3 Jeremy Katz 2004-11-04 08:58:53 EST
Closing due to inactivity.  Please reopen this bug if you have further
information to add to the report.

Note You need to log in before you can comment on or make changes to this bug.